Overview | Package | Class
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.lang
Class SpreadMap

Represents a spreadable map which extends java.util.HashMap.

author:
  Pilho Kim

version:
  $Revision: 6778 $

Field Summary
`int` | `hashCode`
`Map` | `mapData`

Constructor Summary
`SpreadMap(def values)`
`SpreadMap(Map map)`

Method Summary
`boolean` | `equals(Object that)`
`boolean` | `equals(SpreadMap that)`
`Object` | `get(Object obj)`
`int` | `hashCode()`
`Object` | `put(Object key, Object value)`
`void` | `putAll(Map t)`
`Object` | `remove(Object key)`
`int` | `size()`
`String` | `toString()` Returns the string expression of `this`.

Constructor Detail

### SpreadMap

    public SpreadMap(def values)

### SpreadMap

    public SpreadMap(Map map)

Method Detail

### equals

    public boolean equals(Object that)

### equals

    public boolean equals(SpreadMap that)

### get

    public Object get(Object obj)

### hashCode

    public int hashCode()

### put

    public Object put(Object key, Object value)

### putAll

    public void putAll(Map t)

### remove

    public Object remove(Object key)

### size

    public int size()

### toString

    public String toString()

  Returns the string expression of `this`.
  return:
    the string expression of `this`